
package com.amadeus.travelManagement.amadeus.org.iata.iata._2007._00.iata2010;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * &lt;p&gt;Java class for UsageType.
 * 
 * &lt;p&gt;The following schema fragment specifies the expected content contained within this class.
 * &lt;pre&gt;
 * &amp;lt;simpleType name="UsageType"&amp;gt;
 *   &amp;lt;restriction base="{http://www.w3.org/2001/XMLSchema}string"&amp;gt;
 *     &amp;lt;enumeration value="Planned"/&amp;gt;
 *     &amp;lt;enumeration value="Actual"/&amp;gt;
 *   &amp;lt;/restriction&amp;gt;
 * &amp;lt;/simpleType&amp;gt;
 * &lt;/pre&gt;
 * 
 */
@XmlType(name = "UsageType")
@XmlEnum
public enum UsageType {

    @XmlEnumValue("Planned")
    PLANNED("Planned"),
    @XmlEnumValue("Actual")
    ACTUAL("Actual");
    private final String value;

    UsageType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static UsageType fromValue(String v) {
        for (UsageType c: UsageType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
